com.saxonica.serialize

## Class HTMLIndenterPE

- java.lang.Object
- - net.sf.saxon.event.SequenceReceiver
  - - net.sf.saxon.event.ProxyReceiver
    - - net.sf.saxon.serialize.HTMLIndenter
      - - com.saxonica.serialize.HTMLIndenterPE

- All Implemented Interfaces:
    Result, Receiver

      public class HTMLIndenterPE
      extends HTMLIndenter

  HTMLIndenter with extra functionality used by Saxon-PE and Saxon-EE

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.event.ProxyReceiver

      `nextReceiver`

    - ### Fields inherited from class net.sf.saxon.event.SequenceReceiver

      `pipelineConfiguration, previousAtomic, systemId`

    - ### Fields inherited from interface javax.xml.transform.Result

      `PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLIndenterPE(Receiver next, String method)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `getIndentation()` Get the number of spaces to be used for indentation
    `protected int` | `getLineLength()` Get the maximum length of lines, after which long lines will be word-wrapped
    `void` | `setOutputProperties(Properties props)` Set the properties for this indenter

    - ### Methods inherited from class net.sf.saxon.serialize.HTMLIndenter

      `characters, comment, endElement, startElement`

    - ### Methods inherited from class net.sf.saxon.event.ProxyReceiver

      `append, attribute, close, endDocument, getNamePool, getUnderlyingReceiver, namespace, open, processingInstruction, setPipelineConfiguration, setSystemId, setUnderlyingReceiver, setUnparsedEntity, startContent, startDocument, usesTypeAnnotations`

    - ### Methods inherited from class net.sf.saxon.event.SequenceReceiver

      `append, getConfiguration, getPipelineConfiguration, getSystemId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTMLIndenterPE

          public HTMLIndenterPE(Receiver next,
                        String method)

  - ### Method Detail

    - #### setOutputProperties

          public void setOutputProperties(Properties props)

      Set the properties for this indenter
      Parameters:
        `props` - the serialization properties

    - #### getIndentation

          protected int getIndentation()

      Description copied from class: `HTMLIndenter`
      Get the number of spaces to be used for indentation
      Overrides:
        `getIndentation` in class `HTMLIndenter`
      Returns:
        the number of spaces to be added to the indentation for each level

    - #### getLineLength

          protected int getLineLength()

      Description copied from class: `HTMLIndenter`
      Get the maximum length of lines, after which long lines will be word-wrapped
      Overrides:
        `getLineLength` in class `HTMLIndenter`
      Returns:
        the maximum line length

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.